Announcement

Collapse
No announcement yet.

UE4.24 issue with Android development

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    UE4.24 issue with Android development

    Hello, I am trying to create 1st person archviz for Android devices. My phone is pretty old (huawei g620s / Adreno 306 / android 4.4.4).

    After wasting many hours preparing the project in UE4.24, I found out I couldn't launch it on my mobile for testing purposes. I created other simpler empty projects just to test different options trying to make it work but it wouldn't play. I always get the "unfortunately application has stopped" message on my phone.

    After countless hours of trying, I installed 4.23 again and since projects are not backwards compatible, I started creating it again in 4.23. Before I do much, I ran a test launch and it worked like a charm!

    I have also noticed some option differences between the 2 engine versions. UE4.24 in project settings -> Android SDK, where you need to specify the paths to NVPACK folders, ANT is missing. I thought this might be a problem so when I tested in 4.23 I disabled the option to use Gradle instead of ANT and it worked. And I thought this was the problem. But then I tried with Gradle enabled and it worked again.

    So what I know is the problem is solved for me by switching to the previous version but I don't have the slightest idea what causes it. I just write it here as feedback in case there is some bug that can be fixed.
Working...
X